package org.openxma.dsl.generator;

import org.openxma.dsl.core.model.Model;


/**
 * Represents a callback interface used to augment model elements before they
 * are getting processed by templates and after any execution of model
 * validators.
 * 
 * Implementations of this interface use this to implement any project specific
 * defaults like the addition of various standard attributes required for this
 * domain.
 */
public interface ModelModifier {
	/**
	 * Callback method to augment the given <code>Model</code> instance.
	 * 
	 * @param model
	 *            the Model to augment
	 */
	void modifyModel(Model model);
}
